%% Display/Plot summary information
function plot(ea)

if ea.prob.nf == 1
	% progress plot
	show_progress(ea, 1);
else
	% pareto plot
	plot(ea.pop, 1);
end
	
% x distribution
% plot_x(ea.pop, 2);
	
% object specific plot
if isa(ea.pop, 'Population')
	plot(ea.object, ea.best.x{end});
elseif isa(ea.pop, 'Individual')
	plot(ea.object, obj.x);
end

drawnow;

return


%% Show progress plot
function show_progress(ea, fig_id)
figure(fig_id);
id1 = find(ea.best.feas == 0);
id2 = find(ea.best.feas == 1);
plot(id1, ea.best.f(id1), 'r*', id2, ea.best.f(id2), 'b*-');
xlabel('Generations');
ylabel('Objective');
return

