%% Handles User-defined parameters
function [obj] = Paramset(param, varargin)

obj.param = [];
obj.value = [];

obj.algo = '';
obj.config = '';
obj.prefix = '';
obj = class(obj, 'Paramset');

if nargin >= 1
	if isa(param, 'Paramset')
		obj = param;
	else
		obj.param = param;
	end
end

values = [];
if nargin == 2
	values = varargin{1};
end
	
if ~isempty(obj.param)
	obj = load(obj, values);
end
return
