function plot_x(pop, figure_id)

if nargin == 1, figure_id = 2; end

xx = convert_x(pop.object, pop.x{1});
m = length(xx);

xx = zeros(pop.size, m);
for i = 1:pop.size
	xx(i,:) = convert_x(pop.object, pop.x{i});
end

figure(figure_id);
switch m
	case 2
		id1 = find(pop.feas == 0);
		id2 = find(pop.feas == 1);
		plot(xx(id1,1), xx(id1,2), 'r*', xx(id2,1), xx(id2,2), 'b*');
	case 3
		id1 = find(pop.feas == 0);
		id2 = find(pop.feas == 1);
		plot3(xx(id1,1), xx(id1,2), xx(id1,3), 'r*', ...
				xx(id2,1), xx(id2,2), xx(id2,3), 'b*');
	otherwise
		boxplot(xx);
end
drawnow;
		
end
