function [pop] = promote_true(pop, N_true)

% promote truly evaluated solutions
if sum(pop.eval) < pop.size
	new_rank = zeros(pop.size,1);
	index1 = 1;
	index2 = N_true + 1;
	for i = 1:pop.size
		id = pop.rank(i);
		if pop.eval(id) == 1 && index1 <= N_true
			new_rank(index1) = id;
			index1 = index1+1;
		else
			new_rank(index2) = id;
			index2 = index2 + 1;
		end
	end
	pop.rank = new_rank;
end

return
